.row{
  display: flex;
  flex-wrap: wrap;
  margin-left: -$padding-x;
  margin-right: -$padding-x;
}

.col{
  margin: 0;
  padding-left: $padding-x;
  padding-right: $padding-x;
}

.col{
  width: 100%;
}
.col-2{
  width: calc(100%/6) !important;
}
.col-3{
  width: calc(100%/4) !important;
}
.col-4{
  width: calc(100%/3) !important;
}
.col-6{
  width: calc(100%/2) !important;
}
.col-8{
  width: calc(100%/1.5) !important;
}
.col-10{
  width: calc(100%/1.2) !important;
}
.col-12{
  width: 100%;
}

// Medium devices (tablets, 768px and up)
@media (min-width: 768px) {
  .col-md-2{
    width: calc(100%/6) !important;
  }
  .col-md-3{
    width: calc(100%/4) !important;
  }
  .col-md-4{
    width: calc(100%/3) !important;
  }
  .col-md-6{
    width: calc(100%/2) !important;
  }
  .col-md-8{
    width: calc(100%/1.5) !important;
  }
  .col-md-10{
    width: calc(100%/1.2) !important;
  }
  .col-md-12{
    width: 100%;
  }
}
// Large devices (desktops, 992px and up)
@media (min-width: 992px) {
  .col-lg-2{
    width: calc(100%/6) !important;
  }
  .col-lg-3{
    width: calc(100%/4) !important;
  }
  .col-lg-4{
    width: calc(100%/3) !important;
  }
  .col-lg-6{
    width: calc(100%/2) !important;
  }
  .col-lg-8{
    width: calc(100%/1.5) !important;
  }
  .col-lg-10{
    width: calc(100%/1.2) !important;
  }
  .col-lg-12{
    width: 100%;
  }
}

// X-Large devices (large desktops, 1200px and up)
@media (min-width: 1200px) {
  .col-xl-2{
    width: calc(100%/6) !important;
  }
  .col-xl-3{
    width: calc(100%/4) !important;
  }
  .col-xl-4{
    width: calc(100%/3) !important;
  }
  .col-xl-6{
    width: calc(100%/2) !important;
  }
  .col-xl-8{
    width: calc(100%/1.5) !important;
  }
  .col-xl-10{
    width: calc(100%/1.2) !important;
  }
  .col-xl-12{
    width: 100%;
  }
}

// XX-Large devices (larger desktops, 1400px and up)
@media (min-width: 1400px) {
  .col-xxl-2{
    width: calc(100%/6) !important;
  }
  .col-xxl-3{
    width: calc(100%/4) !important;
  }
  .col-xxl-4{
    width: calc(100%/3) !important;
  }
  .col-xxl-6{
    width: calc(100%/2) !important;
  }
  .col-xxl-8{
    width: calc(100%/1.5) !important;
  }
  .col-xxl-10{
    width: calc(100%/1.2) !important;
  }
  .col-xxl-12{
    width: 100%;
  }
}